### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Data Fields | Globals

# XUartLite_Config Struct Reference

## Detailed Description

This typedef contains configuration information for the device.

## Data Fields
u16 | DeviceId
u32 | RegBaseAddr
u32 | BaudRate
u8 | UseParity
u8 | ParityOdd
u8 | DataBits

## Field Documentation

u32 XUartLite_Config::BaudRate

| Fixed baud rate

u8 XUartLite_Config::DataBits

| Fixed data bits

u16 XUartLite_Config::DeviceId

| Unique ID of device

u8 XUartLite_Config::ParityOdd

| Parity generated is odd when TRUE, even when FALSE

u32 XUartLite_Config::RegBaseAddr

| Register base address

u8 XUartLite_Config::UseParity

| Parity generator enabled when TRUE

The documentation for this struct was generated from the following file:

- xuartlite.h

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.